#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.7.3
visibility:           public
id:                   stack-2.7.3-8plXbMQpP4sDa0nXBoMQxU
key:                  stack-2.7.3-8plXbMQpP4sDa0nXBoMQxU
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  417d8c377fc0ef96caee9ce025ffb00b
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/stack-2.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/stack-2.7.3
hs-libraries:         HSstack-2.7.3-8plXbMQpP4sDa0nXBoMQxU
depends:
    Cabal-3.4.0.0 aeson-1.5.6.0-4QZBz5tFJCa4vYJnIaZosC
    annotated-wl-pprint-0.7.0-70TwcJulbP410FZMDCXWmO
    ansi-terminal-0.11-9w4770pdsw1EA8m0ggkatD array-0.5.4.0
    async-2.2.3-ADK08CToinJACmhOUl3TMq
    attoparsec-0.14.1-EawIkYGoqn17cpMtJpQi9k base-4.15.0.0
    base64-bytestring-1.2.1.0-81X1uqn04gJD3k5QWKSALs
    bytestring-0.10.12.1 casa-client-0.0.1-3p9WEmkWw2cLngnOo3K96h
    casa-types-0.0.2-6FvH3erDZSvL7wuZa3QGET
    colour-2.3.6-6e4Gixy3vGeKTsBk5SlJXL
    conduit-1.3.4.1-7AualwqiDLTFruxCTCeM48
    conduit-extra-1.3.5-54ZhKxFD9pqAqSMf4h8gth containers-0.6.4.1
    cryptonite-0.29-AXpW2SEfFCmCnk8M6hUNaz
    cryptonite-conduit-0.2.2-1T4a4P84jy0LMPdCdzkjyg deepseq-1.4.5.0
    directory-1.3.6.1 echo-0.1.4-9WkOqrcNnDn8K5KbomRoSw
    exceptions-0.10.4 extra-1.7.10-9tvzTFpeFt4IJSqAeVTVVz
    file-embed-0.0.14.0-DpVDNlFaM0M9fTuZiTfuRf
    filelock-0.1.1.5-KiYRroD4sArIZrLiVlNOh4 filepath-1.4.2.1
    fsnotify-0.3.0.1-6DPcvbymRn114N5UUaGUQY
    generic-deriving-1.14.1-JADTeA2ByyED24IPeLYy2O
    hackage-security-0.6.0.1-Im2cfcKDuLv8g1NBUcESot
    hashable-1.3.3.0-42gRc2xLctC1JaYfPjkrlX
    hi-file-parser-0.1.2.0-I3yW7BNuBxkC6Iu3M2EeaO
    hpack-0.34.4-ExOzAcnO3GyCSKxlFaLSyf hpc-0.6.1.0
    http-client-0.7.9-DHA9tFxEiTT6KNiExckWcU
    http-client-tls-0.3.5.3-Jakdxd79R8C3JGqeMrxxpq
    http-conduit-2.3.8-Cg3p3g2oOSAKEtuwlxgn0O
    http-download-0.2.0.0-EBKqwWw4f4t5Swgxu3dYLr
    http-types-0.12.3-4cj1tEcFUzcAThuz50GMyv
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    microlens-0.4.12.0-IoK2ncpVKVzEwRUasmz5D3
    mintty-0.1.2-5b08LLwS4rI2XuvUvOFfBx
    mono-traversable-1.0.15.2-6W0GFAgv8SUAgh94bDxWjI mtl-2.2.2
    mustache-2.3.1-J0gtUh7JsC3uVIxYdcN0c
    neat-interpolation-0.5.1.2-6tRDLsSM2w07nYBJCDufUe
    network-uri-2.6.4.1-F8ejguT1lLFGGsmJsetxmT
    open-browser-0.2.1.0-CCCAftezS4EInxcC0BPvzu
    optparse-applicative-0.16.1.0-1NduHvVdaWwGxDRCPL5pHV
    pantry-0.5.2.3-LwKB66IH4fu6hCfKA42Z9B
    path-0.9.0-EPqCrTxKBcWLlZ9l09fsvs
    path-io-1.6.3-Gg2Sv1SvmfnIU8HGDp8sw7
    persistent-2.13.1.2-9zvREaCrJxtD2iJD2g4Aj4
    persistent-sqlite-2.13.0.3-KkehTRbw1JW3aYQlVocTTF pretty-1.1.3.6
    primitive-0.7.2.0-7O9gnH8uCSKTjzaNfMz2W process-1.6.11.0
    project-template-0.2.1.0-LslqkVOWad9Ad4qy9gRavd
    regex-applicative-text-0.1.0.1-J1oiFLuqosv3msgptjT1GX
    retry-0.9.0.0-K1LhZCfnfEtAZL31SZBCvZ
    rio-0.1.21.0-LgPGJszYEmw2GfbXYeFEbd
    rio-prettyprint-0.1.1.0-4ldCClLINbKHWl8BF82tzv
    split-0.2.3.4-HJho6agvo9kJaIvz8isZC stm-2.5.0.0
    streaming-commons-0.2.2.1-8zd1OKp4PGU1C6at4Ry4bU
    tar-0.5.1.1-KOwXosSNzTYB5dvEBIMxxj template-haskell-2.17.0.0
    temporary-1.3-6hxxoOl39p96VrHdiGIImR text-1.2.4.1
    text-metrics-0.3.1-JSa2NtWqEAWJ9a890VVxb8
    th-reify-many-0.1.10-34PtotPxMj3Fap78uKHQwC time-1.9.3
    tls-1.5.5-IWLHxsTyGZdClYyuK1kvyz transformers-0.5.6.2
    typed-process-0.2.6.1-FBGXwlQXDtPAnegSwILQru
    unicode-transforms-0.3.8-3l6hplRj4siLkjYTSNVmM9 unix-2.7.2.2
    unix-compat-0.5.3-CsWJk3UHZrh7lbWn5tdOhn
    unliftio-0.2.20-AWgKfp16NZCDaDGYM3NJ4t
    unordered-containers-0.2.14.0-2KTdZELexC4Ii5buywP0mp
    vector-0.12.3.0-GI0lTgAWws2EpJyQa7KDn5
    yaml-0.11.6.0-4JN6LExVifILaYwz0Nu0DP
    zip-archive-0.4.1-DwH0FJVI9V5FykXAULzlPN
    zlib-0.6.2.3-LFT88qGXhrWE7vBGwbU3Yo

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

